GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
message_compress.h File Reference
`#include <grpc/compression.h>`
`#include <grpc/support/slice_buffer.h>`

Go to the source code of this file.

## Functions
int | grpc_msg_compress (grpc_compression_algorithm algorithm, gpr_slice_buffer *input, gpr_slice_buffer *output)
int | grpc_msg_decompress (grpc_compression_algorithm algorithm, gpr_slice_buffer *input, gpr_slice_buffer *output)

## Function Documentation

int grpc_msg_compress | ( | grpc_compression_algorithm | algorithm,
|  | gpr_slice_buffer * | input,
|  | gpr_slice_buffer * | output
| ) |  |

int grpc_msg_decompress | ( | grpc_compression_algorithm | algorithm,
|  | gpr_slice_buffer * | input,
|  | gpr_slice_buffer * | output
| ) |  |